local _,ns = ...
local L = ns.L

cacheItemID = {}

function ns.resetPartyItemIDCache()
    wipe(cacheItemID)
end

--al añadir el chat msg loot aquí, elimino la logica de CHAT_MSG_LOOT en AutoScrapParty
--ns.setScriptOnMainFrame("CHAT_MSG_LOOT")
--lo añado al main directamente.

function ns.addStatsPanelCacheItemID(itemID, cantidad)
    --print("añadido:", itemID, "cantidad:", cantidad)
    if not cacheItemID[itemID] then
        cacheItemID[itemID] = 0
    end
    cacheItemID[itemID] = cacheItemID[itemID] + cantidad
end

function ns.getCuantityItemID(itemID)
    return cacheItemID[itemID]
end
